#!/bin/sh
# $Id: 3c_morepackages.sh 54 2019-03-05 08:33:13Z dettus $
echo " 
       -----         -----         
      /     \\       /     \\       /
     /       \\     /       \\     /
-----         -----         -----
     \\       /     \\       /     \\
      \\     /       \\     /       \\
       -----         ----- detLFS  -
      /     \\       /     \\       /
     /       \\     /       \\     /
-----         -----         -----
http://www.dettus.net/detLFS/detLFS_0.06.tar.gz

 The purpose of this script is to provide an example of how to 
 compile your own packages.

 Hopefully, the previous scripts are finished at this point.
" ; date

export DETLFSROOT=`pwd`
export TOOLSDIR=`pwd`/Tools
export BUILDDIR=`pwd`/Build
export SOURCESDIR=`pwd`/Sources
export DOWNLOADSDIR=`pwd`/Downloads
export DESTINATIONDIR=`pwd`/Destination


export PATH=$TOOLSDIR/bin:$PATH
export CROSS_COMPILE=$TOOLSDIR/bin/arm-linux-gnueabihf-
export DESTDIR=$DESTINATIONDIR


echo ">>> ncurses" ; date
(
	wget --directory-prefix=$DOWNLOADSDIR -c ftp://ftp.gnu.org/gnu/ncurses/ncurses-6.1.tar.gz
	cd $SOURCESDIR ; tar xfz $DOWNLOADSDIR/ncurses-6.1.tar.gz ; mv ncurses-6.1 ncurses
	cd $BUILDDIR
	mkdir ncurses1 ; cd ncurses1
	$SOURCESDIR/ncurses/configure --prefix=/usr --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf --without-sysmouse   --disable-ext-mouse  --enable-widec --with-shared --with-cxx-shared

	make  && make install -i
)


echo ">> building alsa-firmware"
(
	wget --directory-prefix=$DOWNLOADSDIR -c ftp://ftp.alsa-project.org/pub/firmware/alsa-firmware-1.0.29.tar.bz2
	cd $SOURCESDIR ; tar xvfj $DOWNLOADSDIR/alsa-firmware-1.0.29.tar.bz2 ; mv alsa-firmware-1.0.29/ alsa-firmware/

	cd $BUILDDIR
	mkdir alsa-firmware1 ; cd alsa-firmware1
	cp -r  $SOURCESDIR/alsa-firmware .	# alsa firmware does not build like the others. 
	cd alsa-firmware
	./configure --prefix=/usr --target=arm-linux-gnueabihf 
	make	 
	make install

)

echo ">>> building alsa-libs"
(
	wget --directory-prefix=$DOWNLOADSDIR -c ftp://ftp.alsa-project.org/pub/lib/alsa-lib-1.1.8.tar.bz2
	cd $SOURCESDIR ; tar xvfj $DOWNLOADSDIR/alsa-lib-1.1.8.tar.bz2 ; mv alsa-lib-1.1.8 alsa-lib
	cd $BUILDDIR
	mkdir alsa-lib1 ; cd alsa-lib1
	$SOURCESDIR/alsa-lib/configure --target=arm-linux-gnueabihf --prefix=/usr
	make 
	make install
)
####
####echo ">>> building wget"
####(
####	wget --directory-prefix=$DOWNLOADSDIR -c ftp://ftp.gnu.org/gnu/wget/wget-1.19.1.tar.xz
####	cd $SOURCESDIR ; tar xvfJ $DOWNLOADSDIR/wget-1.19.1.tar.xz ; mv wget-1.19.1/ wget
####
####	cd $BUILDDIR
####	mkdir wget1 ; cd wget1
####	cp -r  $SOURCESDIR/wget .	# alsa firmware does not build like the others. 
####	cd wget
####	./configure --prefix=/usr --target=arm-linux-gnueabihf  --host=arm-linux-gnueabihf --disable-iri --without-zlib --without-libgnutls-prefix
####	make	 
####	make install
####)
####
####
du -sh $TOOLSDIR
du -sh $BUILDDIR
du -sh $DESTINATIONDIR

echo ">>> done" ; date

